# Class StyleParser.ImageInfo

java.lang.Object
com.codename1.ui.plaf.StyleParser.ImageInfo

Enclosing class:
  `StyleParser`

public static class StyleParser.ImageInfo extends Object
Encapsulates an image that is referenced by a style string.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImageInfo(String image)`
  Creates an ImageInfo to wrap the specified image.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Image`
  `getImage(Resources theme)`
  Gets the image object that this image info references.
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ImageInfo

    public ImageInfo(String image)

    Creates an ImageInfo to wrap the specified image.

    ###### Parameters

    - `image`: @param image Either the path to an image on the classpath (signified by a leading '/', or the name of an image that can be found in the theme resource file.

- ## Method Details

  - ### toString

    public String toString()
    Description copied from class: `Object`
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`

  - ### getImage

    public Image getImage(Resources theme)

    Gets the image object that this image info references.

    ###### Parameters

    - `theme`: @param theme The theme resource file to use to get the image. Note: If the image name has a leading '/', then the image will be loaded from the classpath. Otherwise the theme resource file will be used.